Bug 1126833 - JSON communication is slow
Summary: JSON communication is slow
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm-jsonrpc-java
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Piotr Kliczewski
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 11:55 UTC by Liran Zelkha
Modified: 2016-02-10 19:34 UTC (History)
9 users (show)

Fixed In Version: 1.0.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:45:17 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30927 master MERGED Log json message without logging stomp part of a frame Never
oVirt gerrit 31081 master MERGED single tracking thread Never
oVirt gerrit 31139 master MERGED json serialization optimization Never

Description Liran Zelkha 2014-08-05 11:55:38 UTC
Description of problem:
When running many (>100) hosts on FakeVDSM with JSON communication, a JSON command is roughly 400 times slower than a similar XML command

Version-Release number of selected component (if applicable):
3.5

How reproducible:


Steps to Reproduce:
1. Create >100 hosts in engine
2. Direct them to FakeVDSM
3. Configure hosts to use JSON instead of XML1.
4. Use a profiler to measure the performance of JsonRpcVdsServer.getVdsStats vs. VdsServerWrapper.getVdsStats 

Actual results:
>1s per execution

Expected results:
~20ms per execution

Additional info:

Comment 1 Sandro Bonazzola 2014-10-17 12:45:17 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.